import { CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot, ActivatedRoute, Router } from '@angular/router';
import { Observable } from 'rxjs';
import { AuthService } from '../service/auth.service';
import { EnvConfig } from '../interface/env-config';
export declare class AuthGuard implements CanActivate {
    private auth;
    private config;
    private route;
    private router;
    constructor(auth: AuthService, config: EnvConfig, route: ActivatedRoute, router: Router);
    canActivate(next: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean> | Promise<boolean> | boolean;
}
